<?php
if(isset($_POST['msg']) && isset($user)){
	$msg=$_POST['msg'];

if(isset($_POST['translit']) && $_POST['translit']==1){
	$msg=translit($msg);
	}

if(strlen2($msg)>1024){
	$err='Сообщение слишком длинное';
	}else if(strlen2($msg)<2){
		$err='Короткое сообщение';
		}else if(mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_obmen_komm` WHERE `id_file` = '$file_id[id]' AND `id_user` = '$user[id]' AND `msg` = '".mysql_escape_string($msg)."' AND `id_comm` = '$id_comm' LIMIT 1"),0)!=0){
			$err='Ваше сообщение повторяет предыдущее';
			}else{
				$msg=mysql_escape_string($msg);
				mysql_query("INSERT INTO `comm_obmen_komm` (`id_comm`, `id_file`, `id_user`, `time`, `msg`) values('$id_comm', '$file_id[id]', '$user[id]', '$time', '$msg')");
				mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
				msg('Сообщение успешно добавлено');
				}
				}



err();
aut();

echo '<div class="menu">';

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_obmen_komm` WHERE `id_file` = '$file_id[id]' AND `id_comm` = '$id_comm'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

echo '<table class="post">';

if($k_post==0){
	echo '<tr><td class="p_t">Нет комментариев</td></tr>';
	}

$q=mysql_query("SELECT * FROM `comm_obmen_komm` WHERE `id_file` = '$file_id[id]' AND `id_comm` = '$id_comm' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q)){
$ank=get_user($post['id_user']);

echo '<tr><td class="icon14">';
echo avatar($ank['id']);
echo '</td><td class="p_m">';

echo adm($ank['id']).' <a href="/info.php?id='.$ank['id'].'"><span style="color:'.$ank['ncolor'].'">'.$ank['nick'].'</span></a> '.online($ank['id']).' ('.vremja($post['time']).')<br/>';
echo output_text($post['msg']).'<br/>';

if(isset($user) && $admin['uid']==$user['id'] && $admin['priv']>0 || ($user['id']==$file_id['id_user'])){
	echo '<a href="index.php?id_comm='.$id_comm.'&amp;komm&amp;page='.$page.'&amp;del_post='.$post['id'].'&amp;d='.$dir_id['dir'].'&amp;f='.urlencode($file_id['name']).'.'.$file_id['ras'].'">Удалить</a><br/>';
	}

echo '</td></tr>';
}

echo '</table>';

if($k_page>1){
	str('index.php?id_comm='.$id_comm.'&amp;d='.$dir_id['dir'].'&amp;f='.urlencode($file_id['name']).'.'.$file_id['ras'].'&amp;komm&amp;',$k_page,$page);
	}

if(isset($user) && $admin['uid']==$user['id']){
	echo '<a href="/smiles/index.php">Смайлы</a><br/>';
	echo '<form method="post" name="message" action="index.php?id_comm='.$id_comm.'&amp;d='.$dir_id['dir'].'&amp;f='.urlencode($file_id['name']).'.'.$file_id['ras'].'&amp;komm">';
    echo 'Сообщение:<br/><textarea name="msg"></textarea><br/>';

if($user['set_translit']==1){
	echo '<label><input type="checkbox" name="translit" value="1"/> Транслит</label><br/>';
	}

echo '<input value="Отправить" type="submit"/></form>';
}
?>